xmlAttrs {XML} | R Documentation

## Get the list of attributes of an XML node.

### Description

This returns a named character vector giving the name-value pairs of attributes of an XMLNode object which is part of an XML document.

### Usage

     xmlAttrs(node, ...)
     'xmlAttrs<-'(node, append = TRUE, suppressNamespaceWarning =
                  getOption("suppressXMLNamespaceWarning", FALSE), value)

### Arguments

`node` | The `XMLNode` object whose attributes are to be extracted.
`append` | a logical value indicating whether to add the attributes in `value` to the existing attributes within the XML node, or to replace the set of any existing attributes with this new set, i.e. remove the existing ones and then set the attributes with the contents of `value`.
`...` | additional arguments for the specific methods. For XML internal nodes, these are `addNamespacePrefix` and `addNamespaceURLs`. These are both logical values and indicate whether to prepend the name of the attribute with the namespace prefix and also whether to return the namespace prefix and URL as a vector in the `namespaces` attribute.
`value` | a named character vector giving the new attributes to be added to the node.
`suppressNamespaceWarning` | see `addChildren`

### Value

A named character vector, where the names are the attribute names and the elements are the corresponding values. This corresponds to the (attr<i>, "value<i>") pairs in the XML tag `<tag attr1="value1" attr2="value2"`

### Author(s)

Duncan Temple Lang

### References

http://www.w3.org

### See Also

`xmlChildren`, `xmlSize`, `xmlName`

### Examples

     fileName <- system.file("exampleData", "mtcars.xml", package="XML")
     doc <- xmlTreeParse(fileName)

     xmlAttrs(xmlRoot(doc))

     xmlAttrs(xmlRoot(doc)[["variables"]])

     doc <- xmlParse(fileName)
     d = xmlRoot(doc)

     xmlAttrs(d)
     xmlAttrs(d) <- c(name = "Motor Trend fuel consumption data",
                      author = "Motor Trends")
     xmlAttrs(d)

       # clear all the attributes and then set new ones.
     removeAttributes(d)
     xmlAttrs(d) <- c(name = "Motor Trend fuel consumption data",
                      author = "Motor Trends")

         # Show how to get the attributes with and without the prefix and
         # with and without the URLs for the namespaces.
      doc = xmlParse('<doc xmlns:r="http://www.r-project.org">
                        <el r:width="10" width="72"/>
                        <el width="46"/>
                        </doc>')

      xmlAttrs(xmlRoot(doc)[[1]], TRUE, TRUE)
      xmlAttrs(xmlRoot(doc)[[1]], FALSE, TRUE)
      xmlAttrs(xmlRoot(doc)[[1]], TRUE, FALSE)
      xmlAttrs(xmlRoot(doc)[[1]], FALSE, FALSE)

[Package XML version 3.98-1.4 Index]